Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class SuperInterface

    java.lang.Object
      com.sun.tdk.signaturetest.model.MemberDescription
          com.sun.tdk.signaturetest.model.SuperInterface

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class SuperInterface

extends MemberDescription

See Also:
  Serialized Form

Field Summary
`static SuperInterface[]` | `EMPTY_ARRAY`

Fields inherited from class com.sun.tdk.signaturetest.model.MemberDescription
`ARGS_DELIMITER, CLASS_DELIMITER, delimiter, EMPTY_THROW_LIST, JAVA_LANG, MEMBER_DELIMITER, NO_ARGS, NO_DECLARING_CLASS, NO_TYPE, THROWS_DELIMITER`

Constructor Summary
`SuperInterface()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getName()`
`java.lang.String` | `getQualifiedName()`
`int` | `hashCode()`
`boolean` | `isCompatible(MemberDescription m)`
`boolean` | `isDirect()`
`boolean` | `isSuperInterface()` Check if `this` item describes interface class for some class.
`void` | `setDirect(boolean direct)`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.tdk.signaturetest.model.MemberDescription
`addDependency, addModifier, clone, getAnnoList, getArgs, getClassShortName, getDeclaringClassName, getMemberType, getModifiers, getPackageName, getSimplifiedArgs, getSimplifiedType, getThrowables, getThrows, getType, getTypeName, getTypeName, getTypeParameters, hasModifier, isAbstract, isClass, isConstructor, isField, isFinal, isInner, isInterface, isMarked, isMethod, isPrivate, isProtected, isPublic, isStatic, isSuperClass, mark, populateDependences, removeModifier, setAnnoList, setArgs, setDeclaringClass, setModifiers, setNoDeclaringClass, setThrowables, setType, setTypeParameters, setupClassName, setupClassName, setupGenericClassName, setupGenericClassName, setupInnerClassName, setupMemberName, setupMemberName, unmark, valueToString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_ARRAY

    public static final SuperInterface[] EMPTY_ARRAY

Constructor Detail

### SuperInterface

    public SuperInterface()

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `MemberDescription`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MemberDescription`

### getQualifiedName

    public java.lang.String getQualifiedName()

  Overrides:
    `getQualifiedName` in class `MemberDescription`

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `MemberDescription`

### isCompatible

    public boolean isCompatible(MemberDescription m)

  Specified by:
    `isCompatible` in class `MemberDescription`

### isSuperInterface

    public boolean isSuperInterface()

  Description copied from class: `MemberDescription`
  Check if `this` item describes interface class for some class. (I.e., check if `this` describes some of interface name(s) in ``implements ...'' suffix for some ClassDescription.)

  Overrides:
    `isSuperInterface` in class `MemberDescription`

### isDirect

    public boolean isDirect()

### setDirect

    public void setDirect(boolean direct)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD